Skip to main content
POST
/
gpu-instance
/
openapi
/
v1
/
networkstorage
/
delete
Delete Network Storage
curl --request POST \
  --url https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "storageId": "<string>"
}
'
import requests

url = "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete"

payload = { "storageId": "<string>" }
headers = {
    "Content-Type": "<content-type>",
    "Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
  body: JSON.stringify({storageId: '<string>'})
};

fetch('https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

storageId
string
required

Example

Request
curl --request POST \
  --url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete' \
  --header 'Authorization: Bearer {{API Key}}' \
  --header 'Content-Type: application/json' \
  --data '{
    "storageId": "string"
  }'

Response
{}
Last modified on December 23, 2024